<?php

/**
*
* @package PM Spy
* @copyright (c) 2015 www.phpbb-work.ru
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

namespace shredder\pm_spy\migrations;

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
    exit;
}

class v_1_0_0 extends \phpbb\db\migration\migration
{
	public function effectively_installed()
	{
		return isset($this->config['pm_spy_version']) && version_compare($this->config['pm_spy_version'], '1.0.0', '>=');
	}

	static public function depends_on()
	{
		return array('\phpbb\db\migration\data\v310\dev');
	}

	public function update_data()
	{
		return array(
			// Add configs
			array('config.add', array('pm_spy_excl_groups', '')),

			// Current version
			array('config.add', array('pm_spy_version', '1.0.0')),

			// Add ACP modules
			array('module.add', array('acp', 'ACP_CAT_DOT_MODS', 'ACP_PM_SPY')),
			array('module.add', array('acp', 'ACP_PM_SPY', array(
					'module_basename'	=> '\shredder\pm_spy\acp\pm_spy_module',
					'module_langname'	=> 'SETTINGS',
					'module_mode'		=> 'settings',
					'module_auth'		=> 'ext_shredder/pm_spy && acl_a_pm_spy',
			))),
			array('module.add', array('acp', 'ACP_PM_SPY', array(
					'module_basename'	=> '\shredder\pm_spy\acp\pm_spy_module',
					'module_langname'	=> 'ACP_PM_SPY_LIST',
					'module_mode'		=> 'pm_spy',
					'module_auth'		=> 'ext_shredder/pm_spy && acl_a_pm_spy',
			))),

			// Add permissions
			array('permission.add', array('a_pm_spy', true)),
		);
	}
}
